Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.federated
Class ContentCacheHelper

    java.lang.Object
      com.bea.content.federated.ContentCacheHelper

    public class ContentCacheHelper

extends Object

The ContentCacheHelper manages cache data for the CM system. It has methods to flush the content objects stored in the cache. This helper only manages caches at the API level, not at the SPI

Constructor Summary
`ContentCacheHelper()`

Method Summary
`static void` | `flushAllBinaryCacheEntries(String repositoryName, String nodeId)` Removes all Binary entries related to a Node.
`static void` | `flushBinaryCache(String repositoryName)` Removes all keys and values from a Binary cache.
`static void` | `flushBinaryCacheEntry(String repositoryName, String nodeId, String propertyUid)` Removes both key and value for a Binary cache entry.
`static void` | `flushNodeCache(String repositoryName)` Removes all keys and values from a Node cache.
`static void` | `flushNodeCacheEntry(String repositoryName, String nodeId, String federatedPath)` Removes both key and value for a Node cache entry.
`static void` | `flushSearchCache()` Remove all keys and values from all Search caches across all repositories.
`static void` | `flushSearchCache(String repositoryName)` Removes all keys and values from a Search cache.
`static void` | `flushSearchCacheEntry(Search search)` Removes both key and value for a search cache entry.
`static void` | `flushTypeCache(String repositoryName)` Removes all keys and values from a Type cache.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentCacheHelper

    public ContentCacheHelper()

Method Detail

### flushNodeCacheEntry

    public static void flushNodeCacheEntry(String repositoryName,
                                           String nodeId,
                                           String federatedPath)
                                    throws RepositoryException

  Removes both key and value for a Node cache entry.

  Parameters
    `repositoryName` - The name of the repository
    `nodeId` - The UID of the node (node.getId().getUid())
    `federatedPath` - The federated path of the node
  Throws
    `RepositoryException`

### flushBinaryCacheEntry

    public static void flushBinaryCacheEntry(String repositoryName,
                                             String nodeId,
                                             String propertyUid)

  Removes both key and value for a Binary cache entry.

  Parameters
    `repositoryName` - The name of the repository
    `nodeId` - The UID of the node (node.getId().getUid())
    `propertyUid` - The UID of the property (property.getId().getUid())

### flushSearchCacheEntry

    public static void flushSearchCacheEntry(Search search)

  Removes both key and value for a search cache entry.

  Parameters
    `search` - the Search object

### flushAllBinaryCacheEntries

    public static void flushAllBinaryCacheEntries(String repositoryName,
                                                  String nodeId)
                                           throws RepositoryException

  Removes all Binary entries related to a Node.

  Parameters
    `repositoryName` - The name of the repository
    `nodeId` - The UID of the node (node.getId().getUid())
  Throws
    `RepositoryException` - If this operation fails.

### flushNodeCache

    public static void flushNodeCache(String repositoryName)

  Removes all keys and values from a Node cache.

  Parameters
    `repositoryName` - The name of the repository.

### flushTypeCache

    public static void flushTypeCache(String repositoryName)

  Removes all keys and values from a Type cache.

  Parameters
    `repositoryName` - The name of the repository.

### flushBinaryCache

    public static void flushBinaryCache(String repositoryName)

  Removes all keys and values from a Binary cache.

  Parameters
    `repositoryName` - The name of the repository.

### flushSearchCache

    public static void flushSearchCache(String repositoryName)

  Removes all keys and values from a Search cache.

  Parameters
    `repositoryName` - The name of the repository.

### flushSearchCache

    public static void flushSearchCache()

  Remove all keys and values from all Search caches across all repositories.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.